Data.HashMap.Strict.InsOrd

data InsOrdHashMap k v

# Construction

empty

singleton

# Basic interface

null

size

member

lookup

lookupDefault

insert

insertWith

delete

adjust

update

alter

# Combine

union

unionWith

unionWithKey

unions

# Transformations

map

mapKeys

traverseKeys

mapWithKey

traverseWithKey

## Unordered

unorderedTraverse

unorderedTraverseWithKey

# Difference and intersection

difference

intersection

intersectionWith

intersectionWithKey

# Folds

foldl'

foldlWithKey'

foldr

foldrWithKey

foldMapWithKey

## Unordered

unorderedFoldMap

unorderedFoldMapWithKey

# Filter

filter

filterWithKey

mapMaybe

mapMaybeWithKey

# Conversions

keys

elems

toList

toRevList

fromList

toHashMap

fromHashMap

# Lenses

hashMap

unorderedTraversal

# Debugging

valid